cURL
curl --request GET \
--url http://127.0.0.1:8080/v1/c/invoice \
--header 'wb-key: <api-key>'import requests
url = "http://127.0.0.1:8080/v1/c/invoice"
headers = {"wb-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'wb-key': '<api-key>'}};
fetch('http://127.0.0.1:8080/v1/c/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 123,
"hits": [
{
"detailed_invoice_status": "pending_validation",
"invoice": {
"currency": "usd",
"customer_id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670",
"date": "2023-11-07T05:31:56Z",
"deposit_transaction_status": "not_processed",
"due_date": "2023-11-07T05:31:56Z",
"id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670",
"invoice_number": {
"number": "<string>"
},
"status": "pending_validation",
"total": "<string>",
"deposit_transaction_id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670",
"external_reference": "<string>"
},
"payment_execution_provider": "stripe",
"payment_execution_status": "pending"
}
],
"total": 123,
"total_pages": 123,
"backward": "<string>",
"first": "<string>",
"forward": "<string>",
"last": "<string>"
}Invoices
List Invoices
Retrieve a list of all your invoices filtered by various parameters and their payment status.
GET
/
v1
/
c
/
invoice
cURL
Authorizations
api-keywb_user_cookie
Query Parameters
Unique identifier of an object. Consists of object class prefix and a UUID
Example:
"Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670"
Required range:
x >= 0Pagination direction:
- Forward - from first entry to last
- Backward - from last entry to first
Available options:
forward, backward Response
200 - application/json
List of invoices
A paginated result of the requested resource This is based on Keyset Pagination https://vladmihalcea.com/sql-seek-keyset-pagination/
Number of the current page
Show child attributes
Show child attributes
Total number of results
Number of pages in the result
Index of the previous page in the result set
Index of the first element in the result set
Index of the next page in the result set
Index of the last element in the result set